| dp21 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDp_TxLinkConfig Struct Reference
Overview

This typedef contains configuration information about the main link settings. More...

## Data Fields
u8 | LaneCount
| The current lane count of the main link. More...
u8 | LinkRate
| The current link rate of the main link. More...
u8 | ScramblerEn
| Symbol scrambling is currently in use over the main link. More...
u8 | EnhancedFramingMode
| Enhanced frame mode is currently in use over the main link. More...
u8 | DownspreadControl
| Downspread control is currently in use over the main link. More...
u8 | MaxLaneCount
| The maximum lane count of the main link. More...
u8 | MaxLinkRate
| The maximum link rate of the main link. More...
u8 | SupportEnhancedFramingMode
| Enhanced frame mode is supported by the RX device. More...
u8 | SupportDownspreadControl
| Downspread control is supported by the RX device. More...
u8 | VsLevel
| The current voltage swing level for each lane. More...
u8 | PeLevel
| The current pre-emphasis/cursor level for each lane. More...
u8 | Pattern
| The current pattern currently in use over the main link. More...
u8 | cr_done_cnt
| The number of lanes done with clock recovery. More...
u8 | cr_done_oldstate
| Restores the number of lanes done with clock recovery. More...
u8 | LinkTraining2x
| indicates link training in DP 2.1 mode. More...
u8 | Downstream2xSupported
| indicates dp2.1 capability from downstream receiver. More...
u8 | Downstream1xSupported
| indicates dp1.4 capability from downstream receiver More...
u8 | TrainingMode
| The Current Training protocol. More...
u8 | ExtendedCapPresent
| Availability of Extended capabilities. More...
u8 | IsDsRepeater
| Downstream detected as Repeater. More...
u8 | OverrideLinkrate
| If set to 1, the value stored for LinkRate will get Overwrite with user LinkRates. More...
u8 | OverrideLinkCount
| If set to 1, the value stored for LinkCount will get Overwrite with user LinkCount. More...
u8 | OverrideRepeaterMode
| If set to 1, the value stored for LinkCount will get Overwrite with user LinkCount. More...

## Detailed Description

This typedef contains configuration information about the main link settings.

## Field Documentation

u8 XDp_TxLinkConfig::cr_done_cnt

The number of lanes done with clock recovery.

Referenced by XDp_CfgInitialize().

u8 XDp_TxLinkConfig::cr_done_oldstate

Restores the number of lanes done with clock recovery.

Referenced by XDp_CfgInitialize().

u8 XDp_TxLinkConfig::DownspreadControl

Downspread control is currently in use over the main link.

u8 XDp_TxLinkConfig::Downstream1xSupported

indicates dp1.4 capability from downstream receiver

u8 XDp_TxLinkConfig::Downstream2xSupported

indicates dp2.1 capability from downstream receiver.

u8 XDp_TxLinkConfig::EnhancedFramingMode

Enhanced frame mode is currently in use over the main link.

u8 XDp_TxLinkConfig::ExtendedCapPresent

Availability of Extended capabilities.

u8 XDp_TxLinkConfig::IsDsRepeater

Downstream detected as Repeater.

u8 XDp_TxLinkConfig::LaneCount

The current lane count of the main link.

u8 XDp_TxLinkConfig::LinkRate

The current link rate of the main link.

u8 XDp_TxLinkConfig::LinkTraining2x

indicates link training in DP 2.1 mode.

u8 XDp_TxLinkConfig::MaxLaneCount

The maximum lane count of the main link.

Referenced by XDp_CfgInitialize().

u8 XDp_TxLinkConfig::MaxLinkRate

The maximum link rate of the main link.

u8 XDp_TxLinkConfig::OverrideLinkCount

If set to 1, the value stored for LinkCount will get Overwrite with user LinkCount.

u8 XDp_TxLinkConfig::OverrideLinkrate

If set to 1, the value stored for LinkRate will get Overwrite with user LinkRates.

u8 XDp_TxLinkConfig::OverrideRepeaterMode

If set to 1, the value stored for LinkCount will get Overwrite with user LinkCount.

u8 XDp_TxLinkConfig::Pattern

The current pattern currently in use over the main link.

u8 XDp_TxLinkConfig::PeLevel

The current pre-emphasis/cursor level for each lane.

u8 XDp_TxLinkConfig::ScramblerEn

Symbol scrambling is currently in use over the main link.

u8 XDp_TxLinkConfig::SupportDownspreadControl

Downspread control is supported by the RX device.

u8 XDp_TxLinkConfig::SupportEnhancedFramingMode

Enhanced frame mode is supported by the RX device.

u8 XDp_TxLinkConfig::TrainingMode

The Current Training protocol.

u8 XDp_TxLinkConfig::VsLevel

The current voltage swing level for each lane.